<?php

namespace Slovocast\Domain\Entity\Episode;

/**
 * Represents the file for the episode itself.
 */
class File
{
    public function __construct(
        private string $url,
        private int $length,
        private string $type
    ) { }

    public function getUrl(): string
    {
        return $this->url;
    }

    public function getLength(): int
    {
        return $this->length;
    }

    public function getType(): string
    {
        return $this->type;
    }
}
